Get Seeds in a Seed Group
Retrieve and filter seeds for a seed group.
curl --request GET \
--url https://client.synack.com/api/asset-discovery/v1/organizations/{organizationUid}/seed-groups/{seedGroupUid}/seeds \
--header 'Authorization: Bearer <token>'import requests
url = "https://client.synack.com/api/asset-discovery/v1/organizations/{organizationUid}/seed-groups/{seedGroupUid}/seeds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client.synack.com/api/asset-discovery/v1/organizations/{organizationUid}/seed-groups/{seedGroupUid}/seeds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"seeds": [
{
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"uid": "<string>",
"seedGroupUid": "<string>",
"organizationUid": "<string>",
"tags": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 305,
"detail": "<string>",
"instance": "<string>",
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
],
"failedValidations": [
{
"index": 123,
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
]
}
],
"maxBatchSize": 123,
"batchSize": 123
}{
"type": "<string>",
"title": "<string>",
"status": 305,
"detail": "<string>",
"instance": "<string>",
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
],
"failedValidations": [
{
"index": 123,
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
]
}
],
"maxBatchSize": 123,
"batchSize": 123
}{
"type": "<string>",
"title": "<string>",
"status": 305,
"detail": "<string>",
"instance": "<string>",
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
],
"failedValidations": [
{
"index": 123,
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
]
}
],
"maxBatchSize": 123,
"batchSize": 123
}{
"type": "<string>",
"title": "<string>",
"status": 305,
"detail": "<string>",
"instance": "<string>",
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
],
"failedValidations": [
{
"index": 123,
"failedValidation": [
{
"message": "<string>",
"property": "<string>",
"value": "<string>"
}
]
}
],
"maxBatchSize": 123,
"batchSize": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique identifier for an organization group. Unique identifier for an organization.
^[-_0-9a-z]{1,50}Unique identifier for a seed group.
^[0-9a-f]{12}Query Parameters
Requested page size for pagination. A server-selected default of 100 will be used when no perPage is requested via query parameter.
1 <= x <= 5000Page to retrieve in paginated response. A server-selected default of 1 will be used when no page is requested via query parameter.
x >= 1Optional property to sort results by.
name, seedType, createdAt, updatedAt, createdBy Direction of sort-order for items in the response.
asc, desc Optional query parameter for a search string that will be used to match within seed name.
Filter the response to include only seeds with a seed type.
ip, domain, cidr, ip_range Optional query parameter for a tag that will be used to filter seeds.
Response
Paginated seeds.
Show child attributes
Show child attributes
